=== debian/changelog ===
iraf (2.17-4) unstable; urgency=medium

  * Add Education to application categories (Closes: #1026084)
  * Add CC-BY-4.0 license to IRAF logo
  * Avoid using ECHO in generic's token parser
  * Set the 'use_new_imt' setting
  * Push Standards-Version to 4.6.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Thu, 05 Jan 2023 08:20:57 +0100

iraf (2.17-3) unstable; urgency=medium

  * Push Standards-Version to 4.6.1. No changes needed
  * Switch back to unstable

 -- Ole Streicher <olebole@debian.org>  Fri, 14 Oct 2022 16:08:46 +0200

iraf (2.17-2) experimental; urgency=medium

  * Explicitly set dumb terminal for setup script
  * Add .note.GNU-stack section to zsvjmp.S. Switch to experimental to
    try this on all archs.
  * Replace vfork() with fork()

 -- Ole Streicher <olebole@debian.org>  Wed, 20 Jul 2022 14:20:16 +0200

iraf (2.17-1) unstable; urgency=medium

  * Include yaccpar.x in iraf-dev package
  * New upstream version 2.17
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 04 Jan 2022 10:28:40 +0100

iraf (2.16.1+2021.06.14-3) unstable; urgency=medium

  * Switch to unstable
  * Push Standards-Version to 4.6.0. No changes needed
  * Add "Rules-Requires-Root: no"
  * Clean up files created by ratfor preprocessing

 -- Ole Streicher <olebole@debian.org>  Sat, 21 Aug 2021 20:41:31 +0200

iraf (2.16.1+2021.06.14-2) experimental; urgency=medium

  * Make kfreebsd arch detection more generic
  * Enable ratfor preprocessing in build. Fix test for RATFOR variable
  * Simplify patch to remove arch dependent file names

 -- Ole Streicher <olebole@debian.org>  Tue, 15 Jun 2021 09:34:53 +0200

iraf (2.16.1+2021.06.14-1) experimental; urgency=medium

  * New upstream version 2.16.1+2021.06.14. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 14 Jun 2021 16:27:44 +0200

iraf (2.16.1+2018.11.01-6+exp4) experimental; urgency=medium

  * Replace hard-coded host$bin paths by IRAFPATH

 -- Ole Streicher <olebole@debian.org>  Sun, 25 Oct 2020 13:56:36 +0100

iraf (2.16.1+2018.11.01-6+exp3) experimental; urgency=medium

  * Fix #ifdef im header to solve FTBFS on MIPS64

 -- Ole Streicher <olebole@debian.org>  Sun, 02 Aug 2020 13:00:55 +0200

iraf (2.16.1+2018.11.01-6+exp2) experimental; urgency=medium

  * Fix sigsetjmp symbol on riscv64
  * Test using sigsetjmp on alpha

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Jul 2020 15:10:57 +0200

iraf (2.16.1+2018.11.01-6+exp1) experimental; urgency=medium

  * Testing merged zsvjmp

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Jul 2020 08:19:59 +0200
