=== debian/control ===
Source: iraf
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               flex,
               libcfitsio-dev,
               libcurl4-openssl-dev,
               libexpat1-dev,
               libncurses-dev,
               libreadline-dev,
               ratfor
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-astro-team/iraf
Vcs-Git: https://salsa.debian.org/debian-astro-team/iraf.git
Homepage: https://iraf-community.github.io
Rules-Requires-Root: no

Package: iraf
Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: iraf-noao,
            saods9 | ximtool,
            xgterm | python3-pyraf | xterm
Suggests: iraf-dev
Description: Image Reduction and Analysis Facility
 IRAF is the "Image Reduction and Analysis Facility". The main
 IRAF distribution includes a good selection of programs for
 general image processing and graphics.
 .
 Other external or layered packages are available for
 applications such as data acquisition or handling data from other
 observatories and wavelength regimes such as the Hubble Space
 Telescope (optical), EUVE (extreme ultra-violet), or ROSAT and
 AXAF (X-ray). These external packages are distributed separately
 from the main IRAF distribution but can be easily installed.
 The IRAF system also the programmable Command Language scripting
 facility.

Package: iraf-dev
Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
Depends: gcc,
         iraf (= ${binary:Version}),
         libc6-dev,
         libcfitsio-dev,
         libcurl4-gnutls-dev,
         libexpat1-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: iraf-noao-dev
Description: Image Reduction and Analysis Facility (development files)
 IRAF is the "Image Reduction and Analysis Facility". The main
 IRAF distribution includes a good selection of programs for
 general image processing and graphics, plus a large number of
 programs for the reduction and analysis of optical and IR
 astronomy data.
 .
 This package contains the IMFORT Fortran/C programming interface, and
 the full SPP/VOS programming environment in which the portable IRAF
 system and all applications are written.

Package: iraf-noao
Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
Multi-Arch: foreign
Depends: iraf (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: IRAF NOAO data reduction package
 IRAF is the "Image Reduction and Analysis Facility". The main
 IRAF distribution includes a good selection of programs for
 general image processing and graphics, plus a large number of
 programs for the reduction and analysis of optical and IR
 astronomy data.
 .
 This file contains the NOAO packages for the reduction and analysis
 of Optical Astronomy data.

Package: iraf-noao-dev
Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
Depends: iraf-dev (= ${binary:Version}),
         iraf-noao (= ${binary:Version}),
         ${misc:Depends}
Description: IRAF NOAO data reduction package (development files)
 IRAF is the "Image Reduction and Analysis Facility". The main
 IRAF distribution includes a good selection of programs for
 general image processing and graphics, plus a large number of
 programs for the reduction and analysis of optical and IR
 astronomy data.
 .
 This package contains additional libraries and headers used for
 compiling packages that extend the functionality of the iraf-noao
 package.
