=== debian/changelog ===
iraf (2.17.1-5build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:31:59 +0000

iraf (2.17.1-5build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:26:34 +0000

iraf (2.17.1-5build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:56:19 +0100

iraf (2.17.1-5) unstable; urgency=medium

  * Install IRAF desktop file (Closes: #1063334)
  * Fix SOURCE_DATE_EPOCH patch for helpdb creation
  * Enable debugging symbols during make

 -- Ole Streicher <olebole@debian.org>  Tue, 06 Feb 2024 22:49:38 +0100

iraf (2.17.1-4) unstable; urgency=medium

  * Honor SOURCE_DATE_EPOCH to improve reproducibility
  * Add support for LoongArch. (Closes: #1061373)

 -- Ole Streicher <olebole@debian.org>  Fri, 26 Jan 2024 08:26:55 +0100

iraf (2.17.1-3) unstable; urgency=medium

  * Apply C tweaks from Debians libf2c2 package to finally fix FTBFS

 -- Ole Streicher <olebole@debian.org>  Fri, 28 Jul 2023 22:45:04 +0200

iraf (2.17.1-2) unstable; urgency=medium

  * Fix FTBFS on Debian/mipsel

 -- Ole Streicher <olebole@debian.org>  Fri, 28 Jul 2023 19:13:19 +0200

iraf (2.17.1-1) unstable; urgency=medium

  * New upstream version 2.17.1
  * Rediff patches. Drop patches applied upstream
  * New build dependencies bison, libz-dev
  * Update and simplicy d/rules
  * Update .install files
  * Remove local manpages: installed upstream
  * Put configuration files to /etc/iraf
  * Fix removal of ratfor generated files
  * Create bindir and includedir on libvotable install
  * fix DESTDIR in Makefile
  * Strip more unneded files with make strip
  * Install sgidispatch manpage
  * correctly set IRAF env varin autopkgtest
  * Copy f2c.h to common include dir

 -- Ole Streicher <olebole@debian.org>  Fri, 28 Jul 2023 10:50:22 +0200
