=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: iraf
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
+	       bison,
                flex,
                libcfitsio-dev,
                libcurl4-openssl-dev,
                libexpat1-dev,
                libncurses-dev,
                libreadline-dev,
-               ratfor
+               ratfor,
+               zlib1g-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/iraf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/iraf.git
@@ -19,7 +22,7 @@
 Rules-Requires-Root: no
 
 Package: iraf
-Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -42,13 +45,14 @@
  facility.
 
 Package: iraf-dev
-Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
 Depends: gcc,
          iraf (= ${binary:Version}),
          libc6-dev,
          libcfitsio-dev,
          libcurl4-gnutls-dev,
          libexpat1-dev,
+         zlib1g-dev,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: iraf-noao-dev
@@ -64,7 +68,7 @@
  system and all applications are written.
 
 Package: iraf-noao
-Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
 Multi-Arch: foreign
 Depends: iraf (= ${binary:Version}),
          ${misc:Depends},
@@ -80,7 +84,7 @@
  of Optical Astronomy data.
 
 Package: iraf-noao-dev
-Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
 Depends: iraf-dev (= ${binary:Version}),
          iraf-noao (= ${binary:Version}),
          ${misc:Depends}
