=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

export IRAFARCH=
export RATFOR=ratfor

override_dh_auto_build:
	dh_auto_build
	iraf=$(CURDIR)/ bin/cl.e -f debian/precompile.cl

override_dh_auto_install:
	prefix=/usr dh_auto_install

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	tmp=/tmp/ ./test/run_tests
endif

override_dh_clean:
	make clean
	dh_clean
