## iraf 2.18

=== debian/changelog ===
iraf (2.18-1) unstable; urgency=medium

  * New upstream version 2.18
  * Rediff patches. Remove patches applied upstream.
  * Use upstream provided irafcl
  * Add test files to not-installed

 -- Ole Streicher <olebole@debian.org>  Sun, 07 Apr 2024 09:40:28 +0200
