## iraf 2.18.1~rc1

=== debian/changelog ===
iraf (2.18.1~rc1-3~5) experimental; urgency=medium

  * Fix hppa zsvjmp code
  * Force test execution independent of DEB_BUILD_OPTIONS

 -- Ole Streicher <olebole@debian.org>  Fri, 20 Sep 2024 09:48:46 +0200

iraf (2.18.1~rc1-3~4) experimental; urgency=medium

  * More fixes for m68k, ppc, hppa

 -- Ole Streicher <olebole@debian.org>  Thu, 19 Sep 2024 10:42:03 +0200

iraf (2.18.1~rc1-3~3) experimental; urgency=medium

  * Try to fix assembler for powerpc, m68k, hppa
  * Fix i32to64 and i64to32

 -- Ole Streicher <olebole@debian.org>  Wed, 18 Sep 2024 23:06:34 +0200

iraf (2.18.1~rc1-3~2) experimental; urgency=medium

  * zsvjmp.S: Don't stick to abiversion 2 for ppc64
  * Add 32-bit big-endian powerpc,m68k and hppa architectures

 -- Ole Streicher <olebole@debian.org>  Wed, 18 Sep 2024 17:44:48 +0200

iraf (2.18.1~rc1-3~1) experimental; urgency=medium

  * Testwise enable all architectures
  * Switch to experimental for that test

 -- Ole Streicher <olebole@debian.org>  Wed, 18 Sep 2024 12:12:43 +0200

iraf (2.18.1~rc1-2) unstable; urgency=medium

  * Use time_t in bootlib to fix FTBFS on armel/armhf

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Aug 2024 16:11:35 +0200

iraf (2.18.1~rc1-1) unstable; urgency=medium

  * Remove unneeded build dependencies
  * Accept prereleases in d/watch
  * New upstream version 2.18.1~rc1. Closes: #1075093
  * Push Standards-Version to 4.7.0. No changes needed
  * Fix type of jumpcon in (e)cl/main.c

 -- Ole Streicher <olebole@debian.org>  Sun, 18 Aug 2024 21:18:35 +0200
