=== debian/control ===
--- 
+++ 
@@ -5,23 +5,20 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
-	       bison,
+               bison,
                flex,
-               libcfitsio-dev,
-               libcurl4-openssl-dev,
-               libexpat1-dev,
                libncurses-dev,
                libreadline-dev,
                ratfor,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/iraf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/iraf.git
 Homepage: https://iraf-community.github.io
 Rules-Requires-Root: no
 
 Package: iraf
-Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
+Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -44,13 +41,10 @@
  facility.
 
 Package: iraf-dev
-Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
+Architecture: any
 Depends: gcc,
          iraf (= ${binary:Version}),
          libc6-dev,
-         libcfitsio-dev,
-         libcurl4-gnutls-dev,
-         libexpat1-dev,
          zlib1g-dev,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -67,7 +61,7 @@
  system and all applications are written.
 
 Package: iraf-noao
-Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
+Architecture: any
 Multi-Arch: foreign
 Depends: iraf (= ${binary:Version}),
          ${misc:Depends},
@@ -83,7 +77,7 @@
  of Optical Astronomy data.
 
 Package: iraf-noao-dev
-Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
+Architecture: any
 Depends: iraf-dev (= ${binary:Version}),
          iraf-noao (= ${binary:Version}),
          ${misc:Depends}
