=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

export IRAFARCH=
export RATFOR=ratfor

override_dh_auto_build:
	dh_auto_build
	iraf=$(CURDIR)/ bin/cl.e -f debian/precompile.cl || true
	tmp=/tmp/ ./test/run_tests

override_dh_auto_install:
	prefix=/usr dh_auto_install

override_dh_clean:
	make clean
	dh_clean
