## iraf 2.18.1~rc2

=== debian/changelog ===
iraf (2.18.1~rc2-1) unstable; urgency=medium

  * New upstream version 2.18.1~rc2
  * Drop Use-time_t-in-bootlib.patch: applied upstream
  * Push Standards-Version to 4.7.2, no changes needed
  * Fix d/u/metadata tag name DOI

 -- Ole Streicher <olebole@debian.org>  Mon, 31 Mar 2025 20:55:42 +0200
