## iraf 2.18.1

=== Makefile ===
--- 
+++ 
@@ -39,8 +39,9 @@
 # host tools and software are in unix/Makefile.
 export CFLAGS ?= -g -O2
 export XC_CFLAGS = $(CPPFLAGS) $(CFLAGS)
+export XC_LFLAGS = $(LDFLAGS)
 
-.PHONY: all sysgen clean test arch noao host novos core vendor bindirs bin_links config inplace starttime
+.PHONY: all sysgen clean test arch noao host novos core bindirs bin_links config inplace starttime
 
 all:: sysgen
 
@@ -72,29 +73,23 @@
 	$(MAKE) -C $(host) bindir=$(hbin) boot/install
 	$(MAKE) -C $(host) clean
 
-# Build vendor libs (cfitsio and libvotable)
-vendor: host
-	$(MAKE) -C $(iraf)vendor \
-	    includedir=$(iraf)include/ bindir=$(bin) install
-	$(MAKE) -C $(iraf)vendor clean
-
 # Build the core system.
-core: host vendor
+core: host
 	$(MKPKG)
 
 # Build the NOAO package.
-noao: host vendor core
+noao: host core
 	cd $(noao) && $(MKPKG) -p noao
 
 # Run the test suite.
 test:
 	./test/run_tests
+	./test/run_tests -c cl.e test/cl.md
 
 # Remove all binaries built. This keeps .x files that were generated
 # by generic, xyacc and similar.
 clean:
 	$(MAKE) -C unix clean
-	$(MAKE) -C vendor clean
 	find ./local ./math ./pkg ./sys ./noao/[adfimnorst]* \
 	     -type f -name \*.\[aeo\] -exec rm -f {} \;
 	rm -f $(bin)/* noao/bin$(arch)/* $(hbin)* .build_started \
@@ -134,10 +129,10 @@
 config:
 	sed -E -i.orig \
 	    s+'^([[:space:]]*d_iraf=).*+\1"$(iraf)"'+ \
-	    $(DESTDIR)$(hlib)ecl.sh \
+	    $(DESTDIR)$(hlib)irafcl.sh \
 	    $(DESTDIR)$(hlib)setup.sh \
             $(DESTDIR)$(hlib)mkiraf.sh
-	grep '"$(iraf)"' $(DESTDIR)$(hlib)ecl.sh
+	grep '"$(iraf)"' $(DESTDIR)$(hlib)irafcl.sh
 	grep '"$(iraf)"' $(DESTDIR)$(hlib)setup.sh
 	grep '"$(iraf)"' $(DESTDIR)$(hlib)mkiraf.sh
 	sed -E -i.orig \
@@ -150,8 +145,9 @@
 # Create symbolic links for user callable scripts and executables
 binary_links:
 	mkdir -p $(DESTDIR)$(bindir)
-	ln -sf $(hlib)ecl.sh $(DESTDIR)$(bindir)/cl
-	ln -sf $(hlib)ecl.sh $(DESTDIR)$(bindir)/ecl
+	ln -sf $(hlib)irafcl.sh $(DESTDIR)$(bindir)/irafcl
+	ln -sf $(hlib)irafcl.sh $(DESTDIR)$(bindir)/cl
+	ln -sf $(hlib)irafcl.sh $(DESTDIR)$(bindir)/ecl
 	ln -sf $(hlib)mkiraf.sh $(DESTDIR)$(bindir)/mkiraf
 	for hprog in mkpkg rmbin rmfiles rtar sgidispatch wtar xc xyacc ; do \
 	    ln -sf $(hbin)$${hprog}.e $(DESTDIR)$(bindir)/$${hprog} ; \
@@ -174,19 +170,22 @@
 #            your source directory.
 strip: noao/bin/x_quad.e
 	cd $(DESTDIR)$(iraf) && $(hostid)/bin/rmfiles.e -f $(hostid)/hlib/strip.iraf
+	cd $(DESTDIR)$(iraf)/noao && ../$(hostid)/bin/rmfiles.e -f lib/strip.noao
 
 prefix ?= /usr/local
 
 install: noao/bin/x_quad.e
 	mkdir -p $(DESTDIR)$(prefix)/lib/iraf $(DESTDIR)$(prefix)/bin $(DESTDIR)$(prefix)/share/man/man1 $(DESTDIR)/etc/iraf
 	cp -a -f bin* dev extern include lib local math mkpkg noao pkg sys test unix \
-	         $(prefix)/lib/iraf
+	         $(DESTDIR)$(prefix)/lib/iraf
 	$(MAKE) config binary_links strip iraf=$(prefix)/lib/iraf/ bindir=$(prefix)/bin
 	cp -f $(hlib)mkiraf.man $(DESTDIR)$(prefix)/share/man/man1/mkiraf.1
-	cp -f $(hlib)ecl.man $(DESTDIR)$(prefix)/share/man/man1/ecl.1
-	ln -sf ecl.1 $(DESTDIR)$(prefix)/share/man/man1/cl.1
+	cp -f $(hlib)irafcl.man $(DESTDIR)$(prefix)/share/man/man1/irafcl.1
+	ln -sf irafcl.1 $(DESTDIR)$(prefix)/share/man/man1/ecl.1
+	ln -sf irafcl.1 $(DESTDIR)$(prefix)/share/man/man1/cl.1
 	cp -f $(host)boot/mkpkg/mkpkg.man $(DESTDIR)$(prefix)/share/man/man1/mkpkg.1
 	cp -f $(host)boot/spp/xc.man $(DESTDIR)$(prefix)/share/man/man1/xc.1
 	cp -f $(host)boot/xyacc/xyacc.man $(DESTDIR)$(prefix)/share/man/man1/xyacc.1
 	cp -f $(host)boot/generic/generic.man $(DESTDIR)$(prefix)/share/man/man1/generic.1
+	cp -f $(host)gdev/sgidev/sgidispatch.man $(DESTDIR)$(prefix)/share/man/man1/sgidispatch.1
 	echo $(prefix)/lib/iraf/ > $(DESTDIR)/etc/iraf/irafroot
