=== unix/Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 export LIBS = $(HSI_LIBS)
 
 export bindir ?= $(hbin)
+export includedir ?= $(iraf)include
 
 %:
 	$(MAKE) -C os $@
