=== unix/boot/Makefile ===
%:
	$(MAKE) -C bootlib $@
	$(MAKE) -C generic $@
	$(MAKE) -C mkpkg $@
	$(MAKE) -C rmbin $@
	$(MAKE) -C rmfiles $@
	$(MAKE) -C rtar $@
	$(MAKE) -C wtar $@
	$(MAKE) -C xyacc $@
	$(MAKE) -C spp $@
