=== unix/gdev/Makefile ===
install:
	$(MAKE) -C sgidev $@

clean:
	$(MAKE) -C sgidev $@
