=== debian/changelog ===
iraf (2.18.1-2) unstable; urgency=medium

  * Revert dropping C-tweaks.patch: still needed on mips64el

 -- Ole Streicher <olebole@debian.org>  Thu, 10 Apr 2025 14:20:30 +0200

iraf (2.18.1-1) unstable; urgency=medium

  * New upstream version 2.18.1
  * Drop Fix-type-of-jumpcon-in-e-cl-main.c.patch: applied upstream
  * Drop C-tweaks.patch that is no longer needed
  * Update d/copyright, remove unused sections
  * Add AppData metainfo file

 -- Ole Streicher <olebole@debian.org>  Thu, 10 Apr 2025 12:35:57 +0200
