=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                libreadline-dev,
                ratfor,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/iraf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/iraf.git
 Homepage: https://iraf-community.github.io
 Rules-Requires-Root: no
 
 Package: iraf
-Architecture: any
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -41,7 +41,7 @@
  facility.
 
 Package: iraf-dev
-Architecture: any
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
 Depends: gcc,
          iraf (= ${binary:Version}),
          libc6-dev,
@@ -61,7 +61,7 @@
  system and all applications are written.
 
 Package: iraf-noao
-Architecture: any
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
 Multi-Arch: foreign
 Depends: iraf (= ${binary:Version}),
          ${misc:Depends},
@@ -77,7 +77,7 @@
  of Optical Astronomy data.
 
 Package: iraf-noao-dev
-Architecture: any
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
 Depends: iraf-dev (= ${binary:Version}),
          iraf-noao (= ${binary:Version}),
          ${misc:Depends}
