=== debian/tests/control ===
Test-Command: iraf=/usr/lib/iraf/ ./test/run_tests test/*.md
Depends: @
