=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/;s/\.(post)/+$1/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/iraf-$1\.tar\.gz/ \
  https://github.com/iraf-community/iraf/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@
